- Overview
- Reference Guide
- Setup & Architecture
- Release Notes
- API Reference
-
Integration Guides
-
Signing Capabilities
- Supported Formats and Platforms
- Timestamping
- Windows Signing - SignTool
- Apple Signing
- AppX & MSIX Signing
- Visual Studio ClickOnce
- Jar Signing
- Sign HLK/HCK using CodeSign Secure
- NuGet Signing
- Mage Signing
- Sign OVA/OVF using Encryption Consulting’s Utility Tool
- Utility Tool for code signing
- Container Signing
- PKCS11 Wrapper
- Reproducible Build
- CI/CD Integration
-
Signing Capabilities
Permissions
The Permissions endpoint lists the permissions granted to a role.
For the corresponding user interface, refer to the System Setup > Roles and Permissions section.
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /permissions/userpermissionsbyuserGroupID/{usergroupid}/ | List permissions for a role |
GET /permissions/userpermissionsbyuserGroupID/{usergroupid}/
Returns the set of permissions granted to a single role.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
| usergroupid | Path | string | Yes | Identifier of the role. |
Example Request
curl -X GET "https://<your domain>/api/permissions/userpermissionsbyuserGroupID/<usergroupid>/" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | The requested records. |